Bug 165026 - DFE-580TX cannot hold up 100BT link with some peers
DFE-580TX cannot hold up 100BT link with some peers
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 13:49 EDT by Andrew Meredith
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 20:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2005-08-03 13:49:03 EDT
Description of problem:

The DFE-580TX (Rev A3) 4 port NIC exhibits selective instability when connected
to different peers. Switches tend to be ok, but connecting other hardware will
cause the connection to flutter. Inserting a switch inline, or dropping the link
speed to 10FD cures the problem and allows the card to function at (the
relevant) full speed.

ethtool and mii-tool show no problems.

running:

  # ethtool -s ethX autoneg off
  # ethtool -s ethX speed 10

to drop the link speed to 10BT full duplex stabilises the link.

Version-Release number of selected component (if applicable):

  kernel-2.6.11-1.27_FC3

How reproducible:

  Every time.

Kernel module used:

  /lib/modules/2.6.11-1.27_FC3/kernel/drivers/net/sundance.ko
Comment 1 Dave Jones 2005-08-26 03:02:30 EDT
Please retry with the latest errata kernel.
Comment 2 Andrew Meredith 2005-08-29 16:07:46 EDT
I have had to scrap this card along with a number of other semi-functional DLink
products in order to get the system to work. I am therefore no longer in a
position to test for fixes I'm afraid.

Note You need to log in before you can comment on or make changes to this bug.